## org.codehaus.groovy.grails.web.converters
Class AbstractParsingParameterCreationListener

    java.lang.Object
      org.codehaus.groovy.grails.web.converters.AbstractParsingParameterCreationListener

All Implemented Interfaces:
  groovy.lang.GroovyObject, ParameterCreationListener

    public abstract class AbstractParsingParameterCreationListener

extends Object
implements ParameterCreationListener, groovy.lang.GroovyObject

Constructor Summary
`AbstractParsingParameterCreationListener()`

Method Summary
`protected groovy.lang.MetaClass` `$getStaticMetaClass()`
`protected Object` `createFlattenedKeys(Map root, Map current, Map target)`
`protected Object` `createFlattenedKeys(Map root, Map current, Map target, Object prefix)`
`groovy.lang.MetaClass` `getMetaClass()`
`Object` `getProperty(String property)`
`Object` `invokeMethod(String method, Object arguments)`
`void` `setMetaClass(groovy.lang.MetaClass mc)`
`void` `setProperty(String property, Object value)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.codehaus.groovy.grails.web.servlet.mvc.ParameterCreationListener
`paramsCreated`

Constructor Detail

### AbstractParsingParameterCreationListener

    public AbstractParsingParameterCreationListener()

Method Detail

### createFlattenedKeys

    protected Object createFlattenedKeys(Map root,
                                         Map current,
                                         Map target,
                                         Object prefix)

### createFlattenedKeys

    protected Object createFlattenedKeys(Map root,
                                         Map current,
                                         Map target)

### $getStaticMetaClass

    protected groovy.lang.MetaClass $getStaticMetaClass()

### getMetaClass

    public groovy.lang.MetaClass getMetaClass()

  Specified by:
    `getMetaClass` in interface `groovy.lang.GroovyObject`

### setMetaClass

    public void setMetaClass(groovy.lang.MetaClass mc)

  Specified by:
    `setMetaClass` in interface `groovy.lang.GroovyObject`

### invokeMethod

    public Object invokeMethod(String method,
                               Object arguments)

  Specified by:
    `invokeMethod` in interface `groovy.lang.GroovyObject`

### getProperty

    public Object getProperty(String property)

  Specified by:
    `getProperty` in interface `groovy.lang.GroovyObject`

### setProperty

    public void setProperty(String property,
                            Object value)

  Specified by:
    `setProperty` in interface `groovy.lang.GroovyObject`

Copyright (c) 2005-2009 The Grails project